All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class OLAPMemberDeferredRetrievalTreeNode

    com.sas.dataselectors.filters.OLAPMemberDeferredRetrievalTreeNode

All Implemented Interfaces:
  FilterValueInterface, FilterValuesInterface, LabeledStringValueInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class OLAPMemberDeferredRetrievalTreeNode

implements FilterValuesInterface

This tree node will represent a member of an MDDB cube. The retrieval of the child members of an individual member will be delayed as much as possible.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `_values`
`protected java.util.Iterator` | `_valuesIterator`

Fields inherited from interface com.sas.dataselectors.filters.FilterValuesInterface
`GETTHRESHHOLDALLVALUES`

Constructor Summary
`OLAPMemberDeferredRetrievalTreeNode(com.sas.iquery.metadata.business.DataItem dataItem, MetadataInterface metadata)`
`OLAPMemberDeferredRetrievalTreeNode(com.sas.iquery.metadata.business.DataItem dataItem, MetadataInterface metadata, int levelDepth)`
`OLAPMemberDeferredRetrievalTreeNode(DimensionInterface dimension)`
`OLAPMemberDeferredRetrievalTreeNode(HierarchyInterface hierarchy)`
`OLAPMemberDeferredRetrievalTreeNode(LevelInterface level)`
`OLAPMemberDeferredRetrievalTreeNode(LevelInterface level, int hierarchyStructure)`
`OLAPMemberDeferredRetrievalTreeNode(MemberInterface member)`
`OLAPMemberDeferredRetrievalTreeNode(MemberInterface member, boolean useGetter)`
`OLAPMemberDeferredRetrievalTreeNode(MemberInterface member, int hierarchyStructure)`
`OLAPMemberDeferredRetrievalTreeNode(MemberInterface member, MemberInterface[] children)`
`OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element, MetadataInterface metadata, java.lang.String cubeName)`
`OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element, MetadataInterface metadata, java.lang.String cubeName, int structure)`

Method Summary
`java.util.Enumeration` | `breadthFirstEnumeration()`
`java.util.Enumeration` | `children()`
`java.util.Enumeration` | `depthFirstEnumeration()`
`protected boolean` | `doInit()` Retrieves child information.
`javax.swing.tree.TreeNode` | `getChildAfter(javax.swing.tree.TreeNode aChild)`
`javax.swing.tree.TreeNode` | `getChildAt(int childIndex)`
`javax.swing.tree.TreeNode` | `getChildBefore(javax.swing.tree.TreeNode aChild)`
`int` | `getChildCount()`
`javax.swing.tree.TreeNode` | `getFirstChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getFirstLeaf()`
`java.util.List` | `getFirstValues(long lThreshold)` Returns the first group in a list of objects for an Item.
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`boolean` | `getInitialized()`
`javax.swing.tree.TreeNode` | `getLastChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getLastLeaf()`
`int` | `getLeafCount()`
`java.lang.String` | `getListLabel()` Returns the current label for this list of values.
`javax.swing.tree.DefaultMutableTreeNode` | `getNextLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getNextNode()`
`java.util.List` | `getNextValues(long lThreshold)` Returns the next group in a list of objects for an Item.
`javax.swing.tree.TreeNode` | `getParent()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousNode()`
`boolean` | `hasMoreValues()` Returns TRUE as long as there remain values to be retrieved from the datasource.
`void` | `insert(javax.swing.tree.MutableTreeNode node, int index)`
`boolean` | `isLeaf()`
`boolean` | `isNodeChild(javax.swing.tree.TreeNode aNode)`
`java.util.Enumeration` | `postorderEnumeration()`
`java.util.Enumeration` | `preorderEnumeration()`
`void` | `remove(int index)`
`void` | `remove(javax.swing.tree.MutableTreeNode node)`
`void` | `removeAllChildren()`
`void` | `removeFromParent()`
`void` | `setLevelDepth(int levelDepth)`
`void` | `setParent(javax.swing.tree.MutableTreeNode node)`

Methods inherited from class com.sas.dataselectors.filters.OLAPMemberTreeNode
`getData, getDataType, getFormat, getFormattedValue, getLabel, getUnformattedValue, getValue, setDataType, setFormat, setLabel, setValue, toString`

Field Detail

### _values

    protected java.util.Collection _values

### _valuesIterator

    protected java.util.Iterator _valuesIterator

Constructor Detail

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(HierarchyInterface hierarchy)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(DimensionInterface dimension)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(LevelInterface level)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(LevelInterface level,
                                               int hierarchyStructure)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(MemberInterface member)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(MemberInterface member,
                                               int hierarchyStructure)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(MemberInterface member,
                                               MemberInterface[] children)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(MemberInterface member,
                                               boolean useGetter)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(com.sas.iquery.metadata.business.DataItem dataItem,
                                               MetadataInterface metadata)
                                        throws com.sas.iquery.metadata.MetadataException

Throws:
  `com.sas.iquery.metadata.MetadataException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(com.sas.iquery.metadata.business.DataItem dataItem,
                                               MetadataInterface metadata,
                                               int levelDepth)
                                        throws com.sas.iquery.metadata.MetadataException

Throws:
  `com.sas.iquery.metadata.MetadataException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element,
                                               MetadataInterface metadata,
                                               java.lang.String cubeName)
                                        throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberDeferredRetrievalTreeNode

    public OLAPMemberDeferredRetrievalTreeNode(TupleElementInterface element,
                                               MetadataInterface metadata,
                                               java.lang.String cubeName,
                                               int structure)
                                        throws OLAPException

Throws:
  `OLAPException`

Method Detail

### getInitialized

    public boolean getInitialized()

### setLevelDepth

    public void setLevelDepth(int levelDepth)

### doInit

    protected boolean doInit()

  Retrieves child information. Retrieval of all information related to the children of this node is delayed until it is needed by one of the other methods in this class.

  Returns:
    true if the initialization routine completed successfully

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `children` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getChildAt` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getChildCount` in class `javax.swing.tree.DefaultMutableTreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getIndex` in class `javax.swing.tree.DefaultMutableTreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### insert

    public void insert(javax.swing.tree.MutableTreeNode node,
                       int index)

  Specified by:
    `insert` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `insert` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeFromParent

    public void removeFromParent()

  Specified by:
    `removeFromParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `removeFromParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `setParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `setParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### breadthFirstEnumeration

    public java.util.Enumeration breadthFirstEnumeration()

  Overrides:
    `breadthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### depthFirstEnumeration

    public java.util.Enumeration depthFirstEnumeration()

  Overrides:
    `depthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAfter

    public javax.swing.tree.TreeNode getChildAfter(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildAfter` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildBefore

    public javax.swing.tree.TreeNode getChildBefore(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildBefore` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstChild

    public javax.swing.tree.TreeNode getFirstChild()

  Overrides:
    `getFirstChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstLeaf

    public javax.swing.tree.DefaultMutableTreeNode getFirstLeaf()

  Overrides:
    `getFirstLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastChild

    public javax.swing.tree.TreeNode getLastChild()

  Overrides:
    `getLastChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastLeaf

    public javax.swing.tree.DefaultMutableTreeNode getLastLeaf()

  Overrides:
    `getLastLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLeafCount

    public int getLeafCount()

  Overrides:
    `getLeafCount` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextLeaf

    public javax.swing.tree.DefaultMutableTreeNode getNextLeaf()

  Overrides:
    `getNextLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextNode

    public javax.swing.tree.DefaultMutableTreeNode getNextNode()

  Overrides:
    `getNextNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousLeaf

    public javax.swing.tree.DefaultMutableTreeNode getPreviousLeaf()

  Overrides:
    `getPreviousLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousNode

    public javax.swing.tree.DefaultMutableTreeNode getPreviousNode()

  Overrides:
    `getPreviousNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### isNodeChild

    public boolean isNodeChild(javax.swing.tree.TreeNode aNode)

  Overrides:
    `isNodeChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### postorderEnumeration

    public java.util.Enumeration postorderEnumeration()

  Overrides:
    `postorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### preorderEnumeration

    public java.util.Enumeration preorderEnumeration()

  Overrides:
    `preorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeAllChildren

    public void removeAllChildren()

  Overrides:
    `removeAllChildren` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstValues

    public java.util.List getFirstValues(long lThreshold)
                                  throws DataRetrievalError

  Description copied from interface: `FilterValuesInterface`
  Returns the first group in a list of objects for an Item. The toString() of these objects will be displayed to the user and the actual object will be returned as part of the selected filter data. If a threshold of 0 is used then all values should be returned. (see ValuesInterface::GETTHRESHHOLDALLVALUES)

  Specified by:
    `getFirstValues` in interface `FilterValuesInterface`
  Returns:
    List (of Object)
  Throws:
    `DataRetrievalError` - if an error prevented returning any values

### getNextValues

    public java.util.List getNextValues(long lThreshold)
                                 throws DataRetrievalError

  Description copied from interface: `FilterValuesInterface`
  Returns the next group in a list of objects for an Item. If a threshold of 0 is used then all the remaining values should be returned.

  Specified by:
    `getNextValues` in interface `FilterValuesInterface`
  Returns:
    List (of Object)
  Throws:
    `DataRetrievalError` - if an error prevented returning any values

### hasMoreValues

    public boolean hasMoreValues()

  Description copied from interface: `FilterValuesInterface`
  Returns TRUE as long as there remain values to be retrieved from the datasource.

  Specified by:
    `hasMoreValues` in interface `FilterValuesInterface`
  Returns:
    boolean

### getListLabel

    public java.lang.String getListLabel()

  Description copied from interface: `FilterValuesInterface`
  Returns the current label for this list of values.

  Specified by:
    `getListLabel` in interface `FilterValuesInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.